
extends Node2D
class_name VegetablePatch

@onready var death_box : Area2D = $DeathBox

func _ready() -> void:
	death_box.connect("body_entered", Callable(self, "_on_body_entered"))

func _on_body_entered(area : Bee) -> void:
	if area.is_in_group("bee"):
		area.die()
